%define module_name POE-Filter-ParseWords
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(POE.pm) perl(POE/Filter.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ParseWords.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.08
Release: alt1
Summary: A POE-based parser to parse text into an array of tokens.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-filter-parsewords

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Filter::ParseWords provides a convenient way to parse text into an array of tokens. It is
a wrapper for the module the Text::ParseWords manpage.

A more comprehensive demonstration of the use to which this module can be
put to is in the examples/ directory of this distribution.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/P*

%changelog
* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- initial import by package builder

